/*
** mg_vec_str.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:03:11 1999 vianney rancurel
** Last update Thu Oct 28 20:17:00 1999 
*/
#ifndef MG_VEC_STR_H
#define MG_VEC_STR_H	1

#include "mg.h"

/* PROTO mg_vec_str.c */
/* mg_vec_str.c */
t_status vec_str_split P((t_vec *vec, char *s, int sep));
int vec_str_index P((t_vec *vec, char *str));
char *vec_str_to_str P((t_vec *vec, t_status *status));
t_status vec_str_add P((t_vec *vec, char *str));
t_status vec_str_add_with_len P((t_vec *vec, char *str, int len));
t_status vec_str_override P((t_vec *vec, int idx, char *str, t_boolean keep_if_equal));
void vec_str_destroy P((t_vec *vec));
void vec_str_delete P((t_vec *vec));
int vec_str_sort_cmp P((void **p1, void **p2));
void vec_str_sort P((t_vec *vec));
void vec_str_show P((t_vec *vec));
#endif
